ranges::v3::min_fn Struct Reference
Algorithms

## Public Member Functions

template<typename Rng , typename C = ordered_less, typename P = ident, typename I = iterator_t<Rng>, typename V = value_type_t<I>, requires = (InputRange<Rng>() && Copyable<V>() && IndirectRelation<C, projected<I, P>>())>
V | operator() (Rng &&rng, C pred=C{}, P proj=P{}) const
template<typename T , typename C = ordered_less, typename P = ident, requires = ( IndirectRelation<C, projected<const T *, P>>())>
constexpr T const & | operator() (T const &a, T const &b, C pred=C{}, P proj=P{}) const